Bug 226257 - takeSnapshotWithConfiguration() should wait for the next flush before it does callSnapshotRect()
Summary: takeSnapshotWithConfiguration() should wait for the next flush before it does...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-05-25 23:28 PDT by Said Abou-Hallawa
Modified: 2021-06-23 15:58 PDT (History)
3 users (show)

See Also:


Attachments
Patch (2.20 KB, patch)
2021-05-25 23:32 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (2.14 KB, patch)
2021-06-10 13:16 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (2.33 KB, patch)
2021-06-16 12:31 PDT, Said Abou-Hallawa
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (3.56 KB, patch)
2021-06-16 12:49 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2021-05-25 23:28:22 PDT
This will ensure the latest IOSurfaces are pushed to backboardd before taking the snapshot.
Comment 1 Said Abou-Hallawa 2021-05-25 23:30:51 PDT
<rdar://76411685>
Comment 2 Said Abou-Hallawa 2021-05-25 23:32:26 PDT
Created attachment 429732 [details]
Patch
Comment 3 Said Abou-Hallawa 2021-06-10 13:16:59 PDT
Created attachment 431117 [details]
Patch
Comment 4 EWS 2021-06-10 22:03:24 PDT
Committed r278754 (238715@main): <https://commits.webkit.org/238715@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431117 [details].
Comment 5 Ryan Haddad 2021-06-11 21:16:15 PDT
Reverting this because it cause iOS API test failures that are backing up EWS (sadly, we didn't get iOS API test EWS coverage for this patch because of another pre-existing failure)

(see https://bugs.webkit.org/show_bug.cgi?id=226949)
Comment 6 Ryan Haddad 2021-06-11 21:16:42 PDT
Reverted r278754 for reason:

Caused 5 TestWebKitAPI.WKWebView.SnapshotImage* tests to time out on iOS

Committed r278807 (238764@main): <https://commits.webkit.org/238764@main>
Comment 7 Said Abou-Hallawa 2021-06-16 12:31:27 PDT
Created attachment 431585 [details]
Patch
Comment 8 Said Abou-Hallawa 2021-06-16 12:49:05 PDT
Created attachment 431587 [details]
Patch
Comment 9 EWS 2021-06-16 17:46:48 PDT
Committed r278970 (238896@main): <https://commits.webkit.org/238896@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 431587 [details].